WriterPlsParserInternal::ColumnInfo Struct Reference

Column informations. More...

## Public Member Functions

| ColumnInfo ()

## Public Attributes

int | m_firstLine
int | m_unknown [4]
int | m_height
int | m_col
int | m_numCol

## Friends

std::ostream & | operator<< (std::ostream &o, ColumnInfo const &c)

## Detailed Description

Column informations.

## Constructor & Destructor Documentation

## ColumnInfo()

WriterPlsParserInternal::ColumnInfo::ColumnInfo | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ColumnInfo const & | c )

friend

## Member Data Documentation

## m_col

int WriterPlsParserInternal::ColumnInfo::m_col

Referenced by ColumnInfo(), operator<<, and WriterPlsParser::readColInfo().

## m_firstLine

int WriterPlsParserInternal::ColumnInfo::m_firstLine

Referenced by ColumnInfo(), WriterPlsParserInternal::WindowsInfo::getColumnLimitsFor(), operator<<, and WriterPlsParser::readColInfo().

## m_height

int WriterPlsParserInternal::ColumnInfo::m_height

Referenced by ColumnInfo(), operator<<, and WriterPlsParser::readColInfo().

## m_numCol

int WriterPlsParserInternal::ColumnInfo::m_numCol

Referenced by ColumnInfo(), operator<<, and WriterPlsParser::readColInfo().

## m_unknown

int WriterPlsParserInternal::ColumnInfo::m_unknown[4]

Referenced by ColumnInfo(), operator<<, and WriterPlsParser::readColInfo().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx